## org.apache.portals.bridges.struts.taglib
Class LinkTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.LinkTag
                      org.apache.portals.bridges.struts.taglib.LinkTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class LinkTag
extends org.apache.struts.taglib.html.LinkTag

Supports the Struts html:link tag to be used within a Portlet context.

Version:
  $Id: LinkTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary
`protected PortletURLTypes.URLType` `urlType` Indicates which type of a url must be generated: action, render or resource.

Fields inherited from class org.apache.struts.taglib.html.LinkTag
`action, anchor, forward, href, indexId, linkName, messages, module, name, page, paramId, paramName, paramProperty, paramScope, property, scope, target, text, transaction, useLocalEncoding`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LinkTag()`

Method Summary
`protected String` `calculateURL()` Generates a PortletURL or a ResourceURL for the link when in the context of a `PortletRequest`, otherwise the default behaviour is maintained.
`String` `getActionURL()`
`String` `getRenderURL()`
`String` `getResourceURL()`
`void` `release()`
`void` `setActionURL(String value)` Render an ActionURL when set to "true"
`void` `setRenderURL(String value)` Render a RenderURL when set to "true"
`void` `setResourceURL(String value)` Render a ResourceURL when set to "true"

Methods inherited from class org.apache.struts.taglib.html.LinkTag

`doAfterBody, doEndTag, doStartTag, getAction, getAnchor, getForward, getHref, getIndexId, getLinkName, getModule, getName, getPage, getParamId, getParamName, getParamProperty, getParamScope, getProperty, getScope, getTarget, getTransaction, isUseLocalEncoding, setAction, setAnchor, setForward, setHref, setIndexId, setLinkName, setModule, setName, setPage, setParamId, setParamName, setParamProperty, setParamScope, setProperty, setScope, setTarget, setTransaction, setUseLocalEncoding`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag

`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareName, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### urlType

    protected PortletURLTypes.URLType urlType

  Indicates which type of a url must be generated: action, render or resource.

  If not specified, the type will be determined by `PortletURLTypes.getType(String)`

  .

Constructor Detail

### LinkTag

    public LinkTag()

Method Detail

### getActionURL

    public String getActionURL()

  Returns:
    "true" if an ActionURL must be rendered

### setActionURL

    public void setActionURL(String value)

  Render an ActionURL when set to "true"

  Parameters:
    `value` - "true" renders an ActionURL

### getRenderURL

    public String getRenderURL()

### setRenderURL

    public void setRenderURL(String value)

  Render a RenderURL when set to "true"

  Parameters:
    `value` - "true" renders a RenderURL

### getResourceURL

    public String getResourceURL()

### setResourceURL

    public void setResourceURL(String value)

  Render a ResourceURL when set to "true"

  Parameters:
    `value` - "true" renders a ResourceURL

### calculateURL

    protected String calculateURL()
                           throws javax.servlet.jsp.JspException

  Generates a PortletURL or a ResourceURL for the link when in the context of a `PortletRequest`, otherwise the default behaviour is maintained.

  Returns:
    the link url
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.